Package org.pentaho.reporting.libraries.formula.lvalues

## Class StaticValue

- java.lang.Object
- - org.pentaho.reporting.libraries.formula.lvalues.AbstractLValue
  - - org.pentaho.reporting.libraries.formula.lvalues.StaticValue

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `LValue`

      public class StaticValue
      extends AbstractLValue

  Creation-Date: 08.10.2006, 11:34:40
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StaticValue​(java.lang.Object value)` |
    `StaticValue​(java.lang.Object value, ParsePosition parsePosition)` |
    `StaticValue​(java.lang.Object value, Type type)` |
    `StaticValue​(java.lang.Object value, Type type, ParsePosition parsePosition)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TypeValuePair` | `evaluate()` |
    `java.lang.Object` | `getValue()` |
    `Type` | `getValueType()` | This function allows a program traversing the LibFormula object model to know what type this static value is.
    `void` | `initialize​(FormulaContext context)` |
    `boolean` | `isConstant()` | Checks whether the LValue is constant.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.pentaho.reporting.libraries.formula.lvalues.AbstractLValue

      `clone, getChildValues, getContext, getParsePosition, setParsePosition`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticValue

          public StaticValue​(java.lang.Object value)

    - #### StaticValue

          public StaticValue​(java.lang.Object value,
                             Type type)

    - #### StaticValue

          public StaticValue​(java.lang.Object value,
                             ParsePosition parsePosition)

    - #### StaticValue

          public StaticValue​(java.lang.Object value,
                             Type type,
                             ParsePosition parsePosition)

  - ### Method Detail

    - #### initialize

          public void initialize​(FormulaContext context)
                          throws EvaluationException

      Specified by:
        `initialize` in interface `LValue`
      Overrides:
        `initialize` in class `AbstractLValue`
      Throws:
        `EvaluationException`

    - #### evaluate

          public TypeValuePair evaluate()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isConstant

          public boolean isConstant()

      Checks whether the LValue is constant. Constant lvalues always return the same value.
      Returns:

    - #### getValue

          public java.lang.Object getValue()

    - #### getValueType

          public Type getValueType()

      This function allows a program traversing the LibFormula object model to know what type this static value is.
      Specified by:
        `getValueType` in interface `LValue`
      Overrides:
        `getValueType` in class `AbstractLValue`
      Returns:
        the type of the static value